org.red5.server.api.stream

## Interface IBroadcastStreamService

All Known Implementing Classes:
  ApplicationAdapter, MultiThreadedApplicationAdapter

    public interface IBroadcastStreamService

### Field Summary

Fields
`static String` `BROADCAST_STREAM_SERVICE`

### Method Summary

Methods
`IBroadcastStream` `getBroadcastStream(IScope scope, String name)` Get a broadcast stream by name
`Set<String>` `getBroadcastStreamNames(IScope scope)` Get a set containing the names of all the broadcasts
`boolean` `hasBroadcastStream(IScope scope, String name)` Does the scope have a broadcast stream registered with a given name

### Field Detail

#### BROADCAST_STREAM_SERVICE

    static final String BROADCAST_STREAM_SERVICE

See Also:
  Constant Field Values

### Method Detail

#### hasBroadcastStream

    boolean hasBroadcastStream(IScope scope,
                             String name)

Does the scope have a broadcast stream registered with a given name

Parameters:
  `scope` - the scope to check for the stream
  `name` - name of the broadcast
Returns:
  true is a stream exists, otherwise false

#### getBroadcastStream

    IBroadcastStream getBroadcastStream(IScope scope,
                                      String name)

Get a broadcast stream by name

Parameters:
  `scope` - the scope to return the stream from
  `name` - the name of the broadcast
Returns:
  broadcast stream object

#### getBroadcastStreamNames

    Set<String> getBroadcastStreamNames(IScope scope)

Get a set containing the names of all the broadcasts

Parameters:
  `scope` - the scope to search for streams
Returns:
  set containing all broadcast names